<?php
Route::middleware('api')->post('/store_data', 'FormController@storewebdata')->name('store_data');

 Route::get('/customers/{finance_id}', 'CustomersApiController@get_customer_by_finance')->name('customers');
 Route::get('/finance/{finance_id}', 'CustomersApiController@get_finance_details')->name('finance');
 Route::post('/transactions', 'CustomersApiController@post_trans_data')->name('transactions');
 Route::post('/login', 'CustomersApiController@loginCollector')->name('login');


Route::group(['prefix' => 'v1', 'as' => 'admin.', 'namespace' => 'Api\V1\Admin'], function () {
    Route::apiResource('permissions', 'PermissionsApiController');

    Route::apiResource('roles', 'RolesApiController');

    Route::apiResource('users', 'UsersApiController');

    Route::apiResource('products', 'ProductsApiController');
    
    ROute::apiResource('customers', 'CustomersApiController');

   
});
